# -*- encoding: utf-8 -*-
$:.push File.expand_path("../lib", __FILE__)
require "bio-sparql-client/version"

Gem::Specification.new do |s|
    s.name          = 'bio-sparql-client'
    s.version       = BSPARQLCLI::VERSION
    s.date          = '2015-04-24'
    s.platform      = Gem::Platform::RUBY

    s.summary       = "A ruby wrapper for bio SPARQL service"
    s.description   = "A ruby wrapper for bio SPARQL service"
    s.authors       = ["Natapol Pornputtapong"]
    s.email         = ['natapol.por@gmail.com', 'natapol.pornputtapong@yale.edu']

    s.homepage      = 'http://rubygems.org/gems/bio-sparql-client'
    s.licenses      = ['GPL-3.0']

#    s.rubyforge_project = "neography"

    s.files         = `git ls-files`.split("\n")
    s.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")
    s.executables   = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
    s.require_paths = ["lib"]
    s.bindir        = 'bin'

    s.add_dependency "sparql-client", "~> 1.1"
#    s.add_dependency "rubabel", "~> 0.4"
#    s.add_dependency "bson_ext", "~> 1.9"
#    s.add_dependency "rdf", "~> 1.1"


#    s.add_development_dependency "rspec", ">= 2.11"

end
